## sent 1

=== Makefile ===
# sent - plain text presentation tool
# See LICENSE file for copyright and license details.

include config.mk

SRC = sent.c drw.c util.c
OBJ = ${SRC:.c=.o}

all: options sent

options:
	@echo sent build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"

config.h:
	cp config.def.h config.h

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

${OBJ}: config.h config.mk

sent: ${OBJ}
	@echo CC -o $@
	@${CC} -o $@ ${OBJ} ${LDFLAGS}

cscope: ${SRC} config.h
	@echo cScope
	@cscope -R -b || echo cScope not installed

clean:
	@echo cleaning
	@rm -f sent ${OBJ} sent-${VERSION}.tar.gz

dist: clean
	@echo creating dist tarball
	@mkdir -p sent-${VERSION}
	@cp -R LICENSE Makefile config.mk config.def.h ${SRC} sent-${VERSION}
	@tar -cf sent-${VERSION}.tar sent-${VERSION}
	@gzip sent-${VERSION}.tar
	@rm -rf sent-${VERSION}

install: all
	@echo installing executable file to ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f sent ${DESTDIR}${PREFIX}/bin
	@chmod 755 ${DESTDIR}${PREFIX}/bin/sent
	@echo installing manual page to ${DESTDIR}${MANPREFIX}/man1
	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
	@cp sent.1 ${DESTDIR}${MANPREFIX}/man1/sent.1
	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/sent.1

uninstall:
	@echo removing executable file from ${DESTDIR}${PREFIX}/bin
	@rm -f ${DESTDIR}${PREFIX}/bin/sent

.PHONY: all options clean dist install uninstall cscope

=== debian/changelog ===
sent (1-4) unstable; urgency=medium

  * d/tests/control: Mark tests as superficial (Closes: #970969).
  * Update my contact information in d/control and d/copyright files.
  * d/copyright: Update year in debian/* Copyright.
  * d/control: Bump debhelper-compat to 13.
    - Remove d/compat file.
  * d/control: Bump Standards-Version to 4.6.0.1. No changes needed.
  * wrap-and-sort.
  * d/salsa-ci.yml: enable salsa-ci.
  * d/gbp.conf: set debian/master as default branch.
  * d/control: use HTTPS in homepage url.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Mon, 17 Jan 2022 00:03:01 -0300

sent (1-3) unstable; urgency=medium

  * Update d/control add me like Maintainer (Closes: #915354).
  * Update the field Copyright on d/copyright file.
  * Add compat file with version 11.
  * Replace debhelper-compat to debhelper

 -- Emmanuel Arias <emmanuelarias30@gmail.com>  Mon, 17 Dec 2018 22:36:03 -0300

sent (1-2) unstable; urgency=medium

  * Update Vcs-* fields in debian/control (package moved into debian/ group)
  * Update standards version to 4.2.1 (no changes needed)
  * Update maintainer email in `debian/control'
  * Build-depend on `debhelper-compat' (obsoletes `debian/compat')
  * Add `Rules-Requires-Root' field into `debian/control'

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 11 Nov 2018 05:43:06 +0000

sent (1-1) unstable; urgency=low

  * Initial release (Closes: #851184)

 -- Dmitry Bogatov <KAction@gnu.org>  Sun, 08 Apr 2018 14:37:01 +0300

=== debian/control ===
Source: sent
Section: misc
Priority: optional
Maintainer: Emmanuel Arias <eamanu@yaerobi.com>
Build-Depends: debhelper-compat (= 13),
               libx11-dev,
               libxft-dev,
               x11proto-core-dev,
Standards-Version: 4.6.0.1
Homepage: https://tools.suckless.org/sent
Vcs-Git: https://salsa.debian.org/debian/sent.git
Vcs-Browser: https://salsa.debian.org/debian/sent
Rules-Requires-Root: no

Package: sent
Architecture: any
Multi-Arch: foreign
Depends: farbfeld,
         ${misc:Depends},
         ${shlibs:Depends},
Description: simple plaintext presentation tool
 sent does not need LaTeX, libreoffice or any other fancy file format,
 it uses plaintext files to describe the slides and can include images
 via farbfeld.  Every paragraph represents a slide in the
 presentation.
 .
 The presentation is displayed in a simple X11 window. The content of
 each slide is automatically scaled to fit the window and centered so
 you also don't have to worry about alignment. Instead you can really
 concentrate on the content.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk
export CFLAGS  += $(shell getconf LFS_CFLAGS)
export LDFLAGS += $(shell getconf LFS_LDFLAGS)

%:
	dh $@

=== debian/tests/control ===
Test-Command: sent -v
Restrictions: allow-stderr, superficial

=== debian/watch ===
version=4
https://dl.suckless.org/tools/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
